> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/math/attachablelist/flatredball-math-attachablelist-makeoneway.md).

# MakeOneWay

### Introduction

The MakeOneWay method makes the calling AttachbleList a one-way list. In other words, it means that the AttachableList will still contain all of the objects that it contained before calling MakeOneWay; however, the contained elements will no longer know that they belong to this List. This essentially makes the AttachableList behave like a regular List - at least until new objects are added to the List, or until [MakeTwoWay](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php) is called.

### Usage Example

The MakeOneWay method is useful if you have a list of IAttachables (such as [Sprites](https://github.com/flatredball/FlatRedBallDocs/tree/main/frb/docs/index.php)) which you want to remove from their respective managers without having them removed from their List. In the following example, the element at index 0 will get removed:

```
// assuming MySpriteList is a valid SpriteList, which in inherits from AttachableList
SpriteManager.Remove(MySpriteList[0]);
```

To prevent the removal from the list, it can be made one way:

```
MySpriteList.MakeOneWay();
SpriteManager.Remove(MySpriteList[0]); // <- This call will not modify MySpriteList now
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/math/attachablelist/flatredball-math-attachablelist-makeoneway.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
